curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events?from=2024-01-15T00:00:00Z&to=2024-01-22T00:00:00Z" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-15T15:00:00Z",
"end_at": "2024-01-15T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
]
}
Events
List Calendar Events
List events in a calendar
GET
/
api
/
v1
/
calendars
/
{calendar_id}
/
events
curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events?from=2024-01-15T00:00:00Z&to=2024-01-22T00:00:00Z" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-15T15:00:00Z",
"end_at": "2024-01-15T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
]
}
List Calendar Events
List events in a single calendar, optionally filtered by time range.Endpoint
GET /api/v1/calendars/{calendar_id}/events
Path parameters
string
required
Calendar UUID.
Query parameters
string
ISO 8601 lower bound for
start_at.string
ISO 8601 upper bound for
end_at.string
Filter by status:
confirmed, tentative, cancelled.Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events?from=2024-01-15T00:00:00Z&to=2024-01-22T00:00:00Z" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"data": [
{
"id": "event-uuid-1",
"calendar_id": "calendar-uuid-1",
"title": "Demo with Acme",
"start_at": "2024-01-15T15:00:00Z",
"end_at": "2024-01-15T15:30:00Z",
"status": "confirmed",
"type": "meeting"
}
]
}
Was this page helpful?